# http://editorconfig.org/#file-format-details
root = true

[*]
indent_style = space
indent_size = 4
end_of_line = lf
charset = utf-8
insert_final_newline = true
trim_trailing_whitespace = true

[*.{yaml,yml}]
indent_style = space
indent_size = 2

[*.json]
indent_style = space
indent_size = 2

[*.{js,jsx,ts,tsx}]
indent_style = space
indent_size = 2

[*.{html,htm,xml}]
indent_style = space
indent_size = 2

# https://www.python.org/dev/peps/pep-0008/#indentation
[*.{py,py}]
indent_style = space
indent_size = 4

[*.rst]
indent_style = space
indent_size = 4

# https://pubs.opengroup.org/onlinepubs/9699919799/utilities/make.html#tag_20_76_13_04
# https://www.gnu.org/software/make/manual/make.html#Rule-Introduction
# http://heirloom.sourceforge.net/devtools/make.1.html
[{makefile,Makefile,*.{mk,make}}]
indent_style = tab

# https://www.gnu.org/savannah-checkouts/gnu/bash/manual/bash.html#Here-Documents
#[*.sh]
#indent_style = tab

[*.{bat,cmd,btm}]
end_of_line = crlf
insert_final_newline = false

[*.diff]
trim_trailing_whitespace = false

# https://github.com/asciidoctor/asciidoctor.org/blob/master/.editorconfig
[*.adoc]
indent_style = space
indent_size = 2

# https://daringfireball.net/projects/markdown/syntax#list
# https://spec.commonmark.org/0.7/#motivation
[*.md]
indent_style = space
indent_size = 4
